Last Comment Bug 737466 - The Twitter icon should be their bird logo rather than a "t".
: The Twitter icon should be their bird logo rather than a "t".
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Instant Messaging (show other bugs)
: Trunk
: All All
: -- normal (vote)
: Thunderbird 14.0
Assigned To: Andreas Nilsson (:andreasn)
:
Mentors:
https://twitter.com/about/resources/l...
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-03-20 09:14 PDT by Florian Quèze [:florian] [:flo]
Modified: 2012-04-04 02:31 PDT (History)
4 users (show)
ryanvm: in‑testsuite-
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
fixed


Attachments
correct twitter icon (5.27 KB, patch)
2012-03-28 08:17 PDT, Andreas Nilsson (:andreasn)
bwinton: review+
florian: review+
bwinton: ui‑review+
standard8: approval‑comm‑aurora+
Details | Diff | Splinter Review
screenshot of patch in action (25.69 KB, image/png)
2012-03-28 08:27 PDT, Andreas Nilsson (:andreasn)
no flags Details
before and after screenshot (61.75 KB, image/png)
2012-03-28 12:24 PDT, Andreas Nilsson (:andreasn)
no flags Details

Description Florian Quèze [:florian] [:flo] 2012-03-20 09:14:12 PDT
People from twitter requested that we make this change.
See for their current logos: https://twitter.com/about/resources/logos
Comment 1 Andreas Nilsson (:andreasn) 2012-03-27 08:35:49 PDT
Their logos seems to be very big, while we're actually just need a 16x16 (and resizing don't give a optimal result). Do you have a name of anyone at Twitter I can talk to in order to figure out if we can just use the favicon of twitter.com?
Comment 2 Florian Quèze [:florian] [:flo] 2012-03-27 08:52:49 PDT
(In reply to Andreas Nilsson (:andreasn) from comment #1)
> Their logos seems to be very big, while we're actually just need a 16x16
> (and resizing don't give a optimal result). Do you have a name of anyone at
> Twitter I can talk to in order to figure out if we can just use the favicon
> of twitter.com?

I think Jb can answer that question.
Comment 3 Jb Piacentino 2012-03-28 00:56:58 PDT
https://dev.twitter.com/docs/image-resources seems to be the resource you need to refer to.
Lmk if you need direct connection.
Comment 4 Andreas Nilsson (:andreasn) 2012-03-28 02:10:37 PDT
(In reply to Jb Piacentino from comment #3)
> https://dev.twitter.com/docs/image-resources seems to be the resource you
> need to refer to.
> Lmk if you need direct connection.

Oh, that looks excellent. Thank you!
Comment 5 Andreas Nilsson (:andreasn) 2012-03-28 08:17:15 PDT
Created attachment 610149 [details] [diff] [review]
correct twitter icon

This displays the correct twitter icon.
Comment 6 Andreas Nilsson (:andreasn) 2012-03-28 08:27:47 PDT
Created attachment 610150 [details]
screenshot of patch in action
Comment 7 Andreas Nilsson (:andreasn) 2012-03-28 12:24:14 PDT
Created attachment 610242 [details]
before and after screenshot

Before and after in all 3 sizes it appears.
Comment 8 Andreas Nilsson (:andreasn) 2012-03-28 12:27:31 PDT
Comment on attachment 610149 [details] [diff] [review]
correct twitter icon

This is just a image change, so just setting review.
Comment 9 Blake Winton (:bwinton) (:☕️) 2012-03-28 12:28:31 PDT
Comment on attachment 610149 [details] [diff] [review]
correct twitter icon

r=me, and ui-r=me, based mostly off the screenshots!  :)

Thanks,
Blake.
Comment 10 Florian Quèze [:florian] [:flo] 2012-03-28 14:44:39 PDT
Comment on attachment 610149 [details] [diff] [review]
correct twitter icon

While I see no problem with this patch, I just wanted to add a quick note that the code in the chat/ folder, which is shared between Thunderbird and Instantbird, has a different ownership than the rest of the Thunderbird code (see https://wiki.mozilla.org/Modules/Chat). Ensuring that a peer of the chat module has seen changes before they are checked in would be appreciated. Thanks!
Comment 11 Ryan VanderMeulen [:RyanVM] 2012-03-28 17:37:33 PDT
http://hg.mozilla.org/comm-central/rev/dcf4e1f6c78d
Comment 12 Florian Quèze [:florian] [:flo] 2012-03-30 06:05:05 PDT
Comment on attachment 610149 [details] [diff] [review]
correct twitter icon

[Approval Request Comment]
This trivial appearance change was requested by twitter folks, so I think we should take it on aurora.
Comment 13 Mark Banner (:standard8) 2012-04-04 02:31:01 PDT
http://hg.mozilla.org/releases/comm-aurora/rev/34a3c907f9be

Note You need to log in before you can comment on or make changes to this bug.